<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * @package     
 * @author      netnee T.Otogawa  <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Util_Imageview
{
    var $imageview;
    
    var $c;   
    var $d;
    var $s;
    var $sc;
    var $slc;
    var $st;

    var $images;

    function execute()
    {
        $log =& LogFactory::getLog();


        // 
        ini_set('display_errors', false);
        $this->imageview->set_parameters($this->c, $this->sc, $this->d, $this->s, $this->slc, $this->st);

        if (!$this->imageview->generate_img()) {
            header("Content-Type: text/html; charset=UTF-8");
            echo "画像が見つかりません";
            exit;
        }

        $this->imageview->output_img() or exit(2);
        exit;
    }
}
?>
